package com.vcarecity.cvs;

import com.google.inject.Guice;
import com.google.inject.Injector;
import com.vcarecity.cvs.module.MySQLModule;
import com.vcarecity.cvs.module.PropertiesModule;
import com.vcarecity.cvs.properties.AppProperties;
import me.yuxiaoyao.config.loader.ConfigLoader;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author Kerry on 19/11/20
 */

public class MySQLCSVWriter {
    private static Logger logger = LoggerFactory.getLogger(MySQLCSVWriter.class);
    public static Injector injector;

    public static void main(String[] args) throws Exception {
        final AppProperties appProperties = ConfigLoader.parseConfig(args, AppProperties.class, null);
        injector = Guice.createInjector(new PropertiesModule(appProperties), new MySQLModule());

        //final TestInsertData testInsertData = injector.getInstance(TestInsertData.class);
        //testInsertData.ins();

        final MySQLStarter instance = injector.getInstance(MySQLStarter.class);
        instance.run();


    }
}
