package com.vcarecity.cvs.service;

import java.sql.SQLException;
import java.util.List;

/**
 * @author Kerry on 19/11/21
 */

public interface SQLQueryService {


    /**
     * query by page
     *
     * @param sql
     * @param start
     * @param pageCount
     * @param clazz
     * @param <T>
     * @return
     * @throws SQLException
     */
    <T> List<T> queryByPage(String sql, int start, int pageCount, Class<T> clazz) throws SQLException;


}
